Blog‎ > ‎

OpenACS 5.1.5 to 5.2.2 upgrade experience

posted Feb 11, 2009, 2:37 PM by Jade Rubick


Upgrade notes:

Got errors in the upgrade on my staging server, so rebuild the database and did every stinking upgrade script manually. I should note that I do appreciate the work that these developers do, and many of these folks are very good programmers. But I did want to post where the problems occured, and who would be responsible for fixing them.

  • acs-content-repository (author davis@xarg.net) -- harmless because it recreates these foreign key constraints.
    psql -f upgrade-5.2.0d2-5.2.0d3.sql
    psql:upgrade-5.2.0d2-5.2.0d3.sql:4: ERROR: constraint "cr_folder_type_map_fldr_fk" does not exist
    ALTER TABLE
    psql:upgrade-5.2.0d2-5.2.0d3.sql:9: ERROR: constraint "cr_folder_type_map_typ_fk" does not exist
    ALTER TABLE
  • acs-content-repository (author timoh or daveb)
    psql -f upgrade-5.2.0a1-5.2.0a2.sql
    psql:upgrade-5.2.0a1-5.2.0a2.sql:221: ERROR: cannot drop view download_archive_descsi because other objects depend on it
    HINT: Use DROP ... CASCADE to drop the dependent objects too.

    I tried changing the text from create view to create or replace
    view in case that would help. I have no idea if it will.

  • acs-content-repository (author daveb)
    psql -f upgrade-5.2.1d1-5.2.1d2.sql
    psql:upgrade-5.2.1d1-5.2.1d2.sql:930: ERROR: cannot drop view download_archive_descsi because other objects depend on it
    HINT: Use DROP ... CASCADE to drop the dependent objects too.
  • news-aggregator (this package never worked for me anyway, so I dropped it using their drop scripts and rebuilt it. There was a typo in one of the drop scripts.) It seems like this might actually be functional now... cool.
Comments